Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Jul 2021 15:08:39 +0200

Eli Zaretskii <[email-masked]> writes:

> I said "almost" because I wasn't 110% sure.  Maybe I was mistaken, and
> there will be no changes; all I ask is a heads-up to allow me to study
> the patch more thoroughly and test it, that's all.

This was the last post in this thread.

Paul's patch is pretty, er, long, but I've tested it a bit, and it
doesn't seem to break anything for me.  But then again, there's a lot of
different setups in this area...

I've respun the patch for the current trunk.  Can you give it a test and
see whether it works for you too?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no
/usr/bin/patch: **** Only garbage was found in the patch input.
patching file admin/merge-gnulib
Hunk #1 FAILED at 33.
1 out of 1 hunk FAILED -- saving rejects to file /tmp/debbugs-gnu.rej
patching file lib-src/emacsclient.c
Hunk #3 succeeded at 1133 (offset -15 lines).
Hunk #4 succeeded at 1377 (offset -15 lines).
Hunk #5 succeeded at 1430 (offset -15 lines).
Hunk #6 succeeded at 1485 (offset -15 lines).
Hunk #7 succeeded at 1519 (offset -15 lines).
Hunk #8 succeeded at 1568 (offset -15 lines).
patching file lib/file-has-acl.c
patching file lib/gnulib.mk.in
Hunk #2 succeeded at 1789 (offset 112 lines).
patching file m4/gnulib-comp.m4
Hunk #1 succeeded at 89 (offset 2 lines).
Hunk #2 succeeded at 288 (offset 6 lines).
Hunk #3 succeeded at 1047 (offset 70 lines).
--- admin/merge-gnulib
+++ admin/merge-gnulib
@@ -33,7 +33,7 @@ GNULIB_MODULES=
   crypto/md5-buffer crypto/sha1-buffer crypto/sha256-buffer crypto/sha512-buffer
   d-type diffseq double-slash-root dtoastr dtotimespec dup2
   environ execinfo explicit_bzero faccessat
-  fchmodat fcntl fcntl-h fdopendir
+  fchmodat fcntl fcntl-h fdopendir file-has-acl
   filemode filename filevercmp flexmember fpieee fstatat fsusage fsync futimens
   getloadavg getopt-gnu getrandom gettime gettimeofday gitlog-to-changelog
   ieee754-h ignore-value intprops largefile libgmp lstat